package python-pygame 1.9.1release+dfsg-10 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1

Bug #1477844 reported by pleabargain on 2015-07-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pygame (Ubuntu)
Undecided
Unassigned

Bug Description

I was chasing a different bug

deluge-common
deluge-gtk

was throwing errors so I tried to remove them:

sudo apt-get autoremove deluge-common
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  deluge-common deluge-gtk libboost-python1.55.0 libportmidi0 libsdl-ttf2.0-0
  libsmpeg0 libzlcore-data libzlcore0.12 libzltext-data libzltext0.12
  libzlui-qt4 python-appindicator python-libtorrent python-notify
  python-pygame
0 upgraded, 0 newly installed, 15 to remove and 20 not upgraded.
2 not fully installed or removed.
After this operation, 19.1 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 229807 files and directories currently installed.)
Removing deluge-gtk (1.3.11-0ubuntu2) ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing package deluge-gtk (--remove):
 subprocess installed pre-removal script returned error exit status 1
Traceback (most recent call last):
  File "/usr/bin/pycompile", line 35, in <module>
    from debpython.version import SUPPORTED, debsorted, vrepr, \
  File "/usr/share/python/debpython/version.py", line 24, in <module>
    from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 1
Removing python-libtorrent (0.16.18-1) ...
Removing libboost-python1.55.0 (1.55.0+dfsg-3ubuntu2) ...
Removing python-pygame (1.9.1release+dfsg-10) ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing package python-pygame (--remove):
 subprocess installed pre-removal script returned error exit status 1
Removing libzlui-qt4 (0.12.10dfsg-9.1) ...
Removing libzltext0.12 (0.12.10dfsg-9.1) ...
Removing libzlcore0.12 (0.12.10dfsg-9.1) ...
Removing libzlcore-data (0.12.10dfsg-9.1) ...
Removing libzltext-data (0.12.10dfsg-9.1) ...
Removing python-appindicator (12.10.1+15.04.20141110-0ubuntu1) ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing package python-appindicator (--remove):
 subprocess installed pre-removal script returned error exit status 1
dpkg: libportmidi0: dependency problems, but removing anyway as you requested:
 python-pygame depends on libportmidi0; however:
  Package libportmidi0 is to be removed.

Removing libportmidi0 (1:200-0ubuntu3) ...
dpkg: libsdl-ttf2.0-0:amd64: dependency problems, but removing anyway as you requested:
 python-pygame depends on libsdl-ttf2.0-0; however:
  Package libsdl-ttf2.0-0:amd64 is to be removed.

Removing libsdl-ttf2.0-0:amd64 (2.0.11-3) ...
dpkg: libsmpeg0:amd64: dependency problems, but removing anyway as you requested:
 python-pygame depends on libsmpeg0; however:
  Package libsmpeg0:amd64 is to be removed.

Removing libsmpeg0:amd64 (0.4.5+cvs20030824-7.1) ...
dpkg: python-notify: dependency problems, but removing anyway as you requested:
 deluge-gtk depends on python-notify; however:
  Package python-notify is to be removed.

Removing python-notify (0.1.1-4) ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing package python-notify (--remove):
 subprocess installed pre-removal script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: deluge-common: dependency problems, but removing anyway as you requested:
 deluge-gtk depends on deluge-common (= 1.3.11-0ubuntu2).

Removing deluge-common (1.3.11-0ubuntu2) ...
  File "/usr/bin/pyclean", line 63
    except (IOError, OSError), e:
                             ^
SyntaxError: invalid syntax
dpkg: error processing package deluge-common (--remove):
 subprocess installed pre-removal script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Processing triggers for libc-bin (2.21-0ubuntu4) ...
Errors were encountered while processing:
 deluge-gtk
 python-pygame
 python-appindicator
 python-notify
 deluge-common
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 15.04
Package: python-pygame 1.9.1release+dfsg-10
ProcVersionSignature: Ubuntu 3.19.0-22.22-generic 3.19.8-ckt1
Uname: Linux 3.19.0-22-generic x86_64
ApportVersion: 2.17.2-0ubuntu1.1
Architecture: amd64
Date: Fri Jul 24 09:16:53 2015
DuplicateSignature: package:python-pygame:1.9.1release+dfsg-10:subprocess installed pre-removal script returned error exit status 1
ErrorMessage: subprocess installed pre-removal script returned error exit status 1
InstallationDate: Installed on 2015-06-23 (30 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
RelatedPackageVersions:
 dpkg 1.17.25ubuntu1
 apt 1.0.9.7ubuntu4
SourcePackage: pygame
Title: package python-pygame 1.9.1release+dfsg-10 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

pleabargain (dennisgdaniels) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers